> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an Additional Person Application



## OpenAPI

````yaml api-reference/openapi-apply.json POST /apply/additional_person_application
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Account Opening
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /apply/additional_person_application:
    post:
      tags:
        - Additional Person
      summary: Create an Additional Person Application
      requestBody:
        content:
          application/json:
            examples:
              example:
                summary: Success
                value:
                  bankdata:
                    ip_address: 127.0.0.40
                  person_application_id: apsn_01d5w7mvmwvy
                  role: owner
            schema:
              properties:
                account_id:
                  description: ID of the Account to add an additional person. Filterable.
                  type: string
                bankdata:
                  description: Arbitrary data attached to the object, for the bank's use
                  type: object
                person_application_id:
                  description: >-
                    ID of the Person Application to associate with the Account.
                    Filterable.
                  type: string
                role:
                  description: >-
                    Role to use when associating the Person Application with the
                    Account. Filterable.
                  type: string
                userdata:
                  description: Arbitrary data the user can attach to the object
                  type: object
              required:
                - role
                - account_id
                - id
                - person_application_id
        description: The apply.additional-person-application to create
        required: true
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    account_id: acct_11fnfr2p45f96m
                    bankdata:
                      ip_address: 127.0.0.40
                    created_at: '2019-03-02T11:55:14Z'
                    id: aapa_01d5w7mvmwvy
                    person_application_id: apsn_01d5w7mvmwvy
                    role: owner
                    status: pending
                    updated_at: '2019-03-02T11:55:14Z'
                    userdata: null
              schema:
                properties:
                  account_id:
                    description: ID of the Account to add an additional person. Filterable.
                    type: string
                  bankdata:
                    description: Arbitrary data attached to the object, for the bank's use
                    type: object
                  id:
                    description: Unique identifier for the object
                    type: string
                  person_application_id:
                    description: >-
                      ID of the Person Application to associate with the
                      Account. Filterable.
                    type: string
                  role:
                    description: >-
                      Role to use when associating the Person Application with
                      the Account. Filterable.
                    type: string
                  status:
                    description: >-
                      Status of the additional person application. One of
                      `approved`, `error`, `pending`, `processing`, `rejected`,
                      `manual_review`. Filterable.
                    type: string
                  userdata:
                    description: Arbitrary data the user can attach to the object
                    type: object
          description: The apply.additional-person-application created
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````